org.richfaces

## Class StateHolderArray

- java.lang.Object
- - org.richfaces.StateHolderArray

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class StateHolderArray
      extends Object
      implements javax.faces.component.StateHolder

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateHolderArray()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Object e)`
    `Object` | `get(int index)`
    `boolean` | `isEmpty()`
    `boolean` | `isTransient()`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object stateObject)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setTransient(boolean newTransientValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateHolderArray

          public StateHolderArray()

  - ### Method Detail

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   Object stateObject)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`

    - #### setTransient

          public void setTransient(boolean newTransientValue)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`

    - #### add

          public boolean add(Object e)

    - #### get

          public Object get(int index)

    - #### isEmpty

          public boolean isEmpty()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.